from db_connet import *
from tool import *

#  產品中心
sql = f"""
    SELECT product_class_subs.code, products.spu, product_class_subs.name as class_name, products.name_frontend
    FROM `products`
    LEFT JOIN product_class_subs on product_class_subs.id = products.products_class_sub_id
    WHERE products.deleted_at is null;
"""
products = create_dict()
product_center = select_db(sql, 'product')
for val in product_center:
    products.add(val['spu'], ({"product_class_subs_code": val['code'], }))

# data-lake order_detail
sql = "select id, SUBSTRING(product_sn,1,8) as spu from omo_order_detail WHERE create_date >= '2023-07-01';"
order_details = select_db(sql, 'docker-lake')
logTxt(" == start ==")
for order_detail in order_details:
    for spu in products.keys():
        if order_detail["spu"] == spu:
            sql = f"UPDATE `omo_order_detail` SET `product_combo_class_code` = '{products[spu]['product_class_subs_code']}' WHERE id = '{order_detail['id']}'"
            print(order_detail['id'])
            logTxt(sql)
            logTxt(order_detail['id'])
            update_db(sql, 'docker-lake')
logTxt(" == end ==")
